## org.apache.commons.collections.functors
Class TransformerPredicate

    java.lang.Object
      org.apache.commons.collections.functors.TransformerPredicate

All Implemented Interfaces:
  Predicate, Serializable

public final class TransformerPredicate
extends Object
implements Predicate, Serializable

Predicate implementation that returns the result of a transformer.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/05/16 11:16:01 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`TransformerPredicate(Transformer transformer)` Constructor that performs no validation.

Method Summary
`boolean` `evaluate(Object object)` Evaluates the predicate returning the result of the decorated transformer.
`static Predicate` `getInstance(Transformer transformer)` Factory to create the predicate.
`Transformer` `getTransformer()` Gets the transformer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformerPredicate

    public TransformerPredicate(Transformer transformer)

  Constructor that performs no validation. Use `getInstance` if you want that.

Parameters:
  `transformer` - the transformer to decorate

Method Detail

### getInstance

    public static Predicate getInstance(Transformer transformer)

  Factory to create the predicate.

  Parameters:
    `transformer` - the transformer to decorate
  Returns:
    the predicate
  Throws:
    `IllegalArgumentException` - if the transformer is null

### evaluate

    public boolean evaluate(Object object)

  Evaluates the predicate returning the result of the decorated transformer.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if decorated transformer returns Boolean.TRUE
  Throws:
    `FunctorException` - if the transformer returns an invalid type

### getTransformer

    public Transformer getTransformer()

  Gets the transformer.

  Returns:
    the transformer
  Since:
    Commons Collections 3.1

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.